import React from 'react';
import { Link } from 'react-router-dom';
import "./navi.css";

function Navi(props) {
  let directories;

  if (props.router) {
    directories = props.dirs.map(dir => {
      const newClassList = dir.icon.concat(" fa-2x icon-nav");
      return /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement(Link, {
        to: dir.dir
      }, /*#__PURE__*/React.createElement("span", {
        className: "icon"
      }, /*#__PURE__*/React.createElement("i", {
        className: newClassList
      })), /*#__PURE__*/React.createElement("span", {
        className: "icon-title"
      }, dir.name)));
    });
  } else {
    directories = props.dirs.map(dir => {
      const newClassList = dir.icon.concat(" fa-2x icon-nav");
      return /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("a", {
        href: dir.dir
      }, /*#__PURE__*/React.createElement("span", {
        className: "icon"
      }, /*#__PURE__*/React.createElement("i", {
        className: newClassList
      })), /*#__PURE__*/React.createElement("span", {
        className: "icon-title"
      }, dir.name)));
    });
  }

  const handleMenu = () => {
    document.getElementById('box').classList.toggle('active');
    document.getElementById('hamburger').classList.toggle('active');
  };

  return /*#__PURE__*/React.createElement("navbar", {
    id: "navbar"
  }, /*#__PURE__*/React.createElement("div", {
    id: "hamburger",
    onClick: handleMenu
  }, /*#__PURE__*/React.createElement("div", {
    id: "top"
  }), /*#__PURE__*/React.createElement("div", {
    id: "middle"
  }), /*#__PURE__*/React.createElement("div", {
    id: "bottom"
  })), /*#__PURE__*/React.createElement("div", {
    id: "box"
  }, /*#__PURE__*/React.createElement("ul", {
    id: "nav"
  }, directories)));
}

export default Navi;